/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */

package org.ow2.petals.registry_overlay.exception;

/**
 * The URL of the local cluster member configuration resource is invalid
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InvalidClusterMemberCfgURLException extends PetalsRegistryOverlayException {

    private static final long serialVersionUID = -6580634063091470L;

    /**
     * The invalid URL of the local cluster member configuration resource.
     */
    private final String memberCfgFileStr;

    public InvalidClusterMemberCfgURLException(final String memberCfgFileStr, final Throwable throwable) {
        super(
                "The URL [" + memberCfgFileStr
                        + "] of the local cluster member configuration resource is invalid !!", throwable);
        this.memberCfgFileStr = memberCfgFileStr;
    }

    /**
     * @return The invalid URL of the cluster configuration resource.
     */
    public String getMemberCfgFileStr() {
        return this.memberCfgFileStr;
    }

}
